# COROSYNC-CFGTOOL

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
SEE ALSO
AUTHOR

## NAME

corosync-cfgtool − An administrative tool for corosync.

## SYNOPSIS

corosync−cfgtool [−i IP_address] [−s] [−r] [−R] [−k nodeid] [−a nodeid] [−h] [−H]

## DESCRIPTION

corosync−cfgtool A tool for displaying and configuring active parameters within corosync.

## OPTIONS

| -i |  | Finds only information about the specified interface IP address.
| -s |  | Displays the status of the current rings on this node. If any interfaces are faulty, 1 is returned by the binary. If all interfaces are active 0 is returned to the shell.
| -r |  | Reset redundant ring state cluster wide after a fault to re-enable redundant ring operation.
| -R |  | Tell all instances of corosync in this cluster to reload corosync.conf.
| -k |  | Kill a node identified by node id.
| -a |  | Display the IP address(es) of a node.
| -h |  | Print basic usage.
| -H |  | Shutdown corosync cleanly on this node.

## SEE ALSO

corosync_overview(8),

## AUTHOR

Angus Salkeld